<div class="chat-component">
  <mat-drawer-container class="chat-section" autosize>
    <mat-drawer class="discussions" mode="side" opened="true">
      <mat-list>
        <mat-toolbar>
          Discussions
          <button mat-icon-button class="new-discussion" [matMenuTriggerFor]="menu">
            <mat-icon>add_box</mat-icon>
          </button>

          <mat-menu #menu="matMenu" [overlapTrigger]="false">
            <button mat-menu-item color="primary" *ngFor="let usr of users" role="listitem" (click)="changeConversation(usr.username)">
              <mat-icon>person</mat-icon>
              <span>{{usr.firstname}} {{usr.lastname}} ({{usr.username}})</span>
            </button>
          </mat-menu>
        </mat-toolbar>

        <div *ngFor="let conv of convs">
          <mat-list-item (click)="changeConversation(getOtherUser(conv.user1,conv.user2).username)" ngDefaultControl>
            {{getOtherUser(conv.user1,conv.user2).firstname}}
            {{getOtherUser(conv.user1,conv.user2).lastname}}
            ({{getOtherUser(conv.user1,conv.user2).username}})
          </mat-list-item>
          <mat-divider></mat-divider>
        </div>
      </mat-list>
    </mat-drawer>

    <mat-drawer-content class="discussion-field">

      <mat-list class="active-discussion">
        <mat-toolbar *ngIf="activeConv != undefined">
          {{getOtherUser(activeConv.user1,activeConv.user2).firstname}}
          {{getOtherUser(activeConv.user1,activeConv.user2).lastname}}
          ({{getOtherUser(activeConv.user1,activeConv.user2).username}})
          <button color="default" class="user-info" mat-icon-button>
            <mat-icon>info</mat-icon>
          </button>
        </mat-toolbar>


        <mat-chip-list *ngFor="let mess of messages">
          <mat-chip *ngIf="mess.expeditor != user.username" selected="true" class="message message-from" color="primary">{{mess.content}}</mat-chip>
          <mat-chip *ngIf="!(mess.expeditor != user.username)" selected="true" class="message message-to" color="default">{{mess.content}}</mat-chip>
        </mat-chip-list>

        <mat-chip-list class="mat-chip-list-stacked">

</mat-chip-list>

      </mat-list>

      <mat-divider></mat-divider>

      <form class="send-group" (submit)="sendMessage()">
        <mat-form-field class="send-field" *ngIf="activeConv != undefined">
          <!-- <textarea matInput placeholder="Enter your message..." matTextareaAutosize matAutosizeMinRows="1"
                matAutosizeMaxRows="10" [(ngModel)]="textToSend" name="textToSend">
          </textarea> -->
          <input type="text" matInput [(ngModel)]="textToSend" name="textToSend" class="form-control" placeholder="Type your message here" autofocus>
          <!-- <input matInput type="password" [(ngModel)]="password" name="password" class="form-control" placeholder="Password" required> -->
        </mat-form-field>
        <button class="send" *ngIf="activeConv != undefined" mat-button color="primary">Send</button>
      </form>
    </mat-drawer-content>
  </mat-drawer-container>
<div>
